Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Class DocumentEvent

    java.lang.Object
      org.eclipse.jface.text.DocumentEvent

Direct Known Subclasses:
  SlaveDocumentEvent

public class DocumentEvent
extends Object

Specification of changes applied to documents. All changes are represented as replace commands, i.e. specifying a document range whose text gets replaced with different text. In addition to this information, the event also contains the changed document.

See Also:
  `IDocument`

Field Summary
`IDocument` | `fDocument` The changed document
`int` | `fLength` Length of the replaced document text
`int` | `fOffset` The document offset
`String` | `fText` Text inserted into the document

Constructor Summary
`DocumentEvent()` Creates a new, not initialized document event.
`DocumentEvent(IDocument doc, int offset, int length, String text)` Creates a new document event.

Method Summary
`IDocument` | `getDocument()` Returns the changed document.
`int` | `getLength()` Returns the length of the replaced text.
`int` | `getOffset()` Returns the offset of the change.
`String` | `getText()` Returns the text that has been inserted.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fDocument

    public IDocument fDocument

  The changed document

### fOffset

    public int fOffset

  The document offset

### fLength

    public int fLength

  Length of the replaced document text

### fText

    public String fText

  Text inserted into the document

Constructor Detail

### DocumentEvent

    public DocumentEvent(IDocument doc,
                         int offset,
                         int length,
                         String text)

  Creates a new document event.

Parameters:
  `doc` - the changed document
  `offset` - the offset of the replaced text
  `length` - the length of the replaced text
  `text` - the substitution text

### DocumentEvent

    public DocumentEvent()

  Creates a new, not initialized document event.

Method Detail

### getDocument

    public IDocument getDocument()

  Returns the changed document.

  Returns:
    the changed document

### getOffset

    public int getOffset()

  Returns the offset of the change.

  Returns:
    the offset of the change

### getLength

    public int getLength()

  Returns the length of the replaced text.

  Returns:
    the length of the replaced text

### getText

    public String getText()

  Returns the text that has been inserted.

  Returns:
    the text that has been inserted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.